Subject: Re: [PATCH RFC 5/6] net: dsa: microchip: Update tag_ksz.c to access switch driver

From: Andrew Lunn <[email-masked]>
Date: Wed, 12 Dec 2018 09:18:41 +0100

On Tue, Dec 11, 2018 at 11:59:34PM +0000, [email-masked] wrote:
> > I'd be careful about locking. Seems like dsa was designed with "tag
> > format is static", and you want to change it dynamically...
> 
> I see there is now a new overhead parameter in the dsa_device_ops structure
> and dev_set_mtu is called in master.c.  It does not prevent the tag size to
> change dynamically though.  A bigger size can be used instead to make sure the
> MAC controller can support it.
> 
> In practice I do not think it does anything meaningful.  Most MAC controllers
> can transmit and receive more than 1518 bytes but still only advertise 1500
> MTU. 

Hi Tristram

There are a few MAC devices to do enforce 1518. e1000e is one
example. You have to increase the MTU before it will receive DSA
tagged frames. I initially had similar problems with the FEC driver
when i started using that a few years ago. At that time i did not
rallies it was a wide scale problem and just changed the FEC. This
should be a more generic solution.

       Andrew